Name:           newa
Version:        0.1.dev888
Release:        1.20250512142325683518.pr218%{?dist}
Summary:        New Errata Workflow

License:        MIT
URL:            https://github.com/RedHatQE/newa
Source0:        newa-0.1.0.dev204+g3954372.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-jira

%py_provides    python3-newa

%description
The newa Python module and command line tool used for errata
workflow automation.

%prep
%autosetup -p1 -n newa-0.1.0.dev204+g3954372

%generate_buildrequires
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files newa

%check
%pyproject_check_import

%files -n newa -f %{pyproject_files}
%doc README.md
%{_bindir}/newa

%changelog
* Mon May 12 2025 Packit <hello@packit.dev> - 0.1.dev888-1.20250512142325683518.pr218
- Development snapshot (39543720)

* Thu June 06 2024 Miroslav Vadkerti <mvadkert@redhat.com> - 0.1-1
- Initial packaging
